1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

WP 5.2: Contact Form 7 Multi Step funzt nach WP-Update nicht mehr

Dieses Thema im Forum "Plugins und Widgets" wurde erstellt von doni32, 15. Mai 2019 um 12:16 Uhr.

  1. doni32

    doni32 Well-Known Member

    Registriert seit:
    6. Juni 2017
    Beiträge:
    46
    Zustimmungen:
    0
    Hallo,
    ich habe mein Wordpress auf die Version 5.2 aktualisiert und jetzt funktioniert das Multi-Step Formular nicht mehr. Hatte das Plugin "Contact Form 7 Multi-Step Forms" installiert.
    Sobald ich im ersten Schritt (Abfrage des Datum für Ankunft und Abreise und die Abfrage nach dem Zimmer) auf "Anfragen" klicke, kommt die Meldung "Ein oder mehrere Felder sind fehlerhaft. Bitte überprüfe sie und versuche es noch einmal.".
    Habe jetzt auch schon die Plugins "Contact Form 7 Multi Step" und "Contact Form 7 Multi-Step Addon" getestet aber ohne Erfolg.
    Der Programmierer schreibt auf der Pluginseite, dass es nur zwei Möglichkeiten gibt, falls es nicht funktioniert:
    1. Das Cachingsystem erlaubt keine Cookies (werden bei mir aber geschrieben)
    2. Das Protokol der Domain muss das selbe auf allen Seiten sein

    Irgendwie bin ich mit meinem Latei am Ende!
    Kann mir noch jemand einen Tipp geben?
     
  2. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    5.142
    Zustimmungen:
    398
    1. Wird ein Cache- und / oder Minify-Plugin verwendet? Falls ja, funktioniert es mit deaktiviertem Plugin?
    2. Link zur Seite mit dem Formular?
     
  3. doni32

    doni32 Well-Known Member

    Registriert seit:
    6. Juni 2017
    Beiträge:
    46
    Zustimmungen:
    0
    Habe das Plugin "Autoptimize" installiert, im Moment ist das deaktiviert. Das Form funktioniert auch nicht wenn ich im Backend ausgeloggt bin, habe schon alles mögliche probiert.
    Die URL ist: https://www.hotel-goldenesfass.de/
     
  4. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    5.142
    Zustimmungen:
    398
    Und das exakt gleiche Formular mit den exakt gleichen Einstellungen des gleichen Multi-Step Plugins und den gleichen Pluginversionen funktionierte mit der vorherigen WordPress Version? Welche Version von WordPress war das genau?
     
  5. doni32

    doni32 Well-Known Member

    Registriert seit:
    6. Juni 2017
    Beiträge:
    46
    Zustimmungen:
    0
    Online ist es das gleiche Formular mit den gleichen Plugins. Vorher war WP 4.9.6 oder 4.9.8 drauf. Habe zuerst die Plugins, dann das Theme und zum Schluß das WP aktualisiert. Und dann funktionierte das Formular für die Zimmeranfrage nicht mehr, zumind. der erste Schritt. Das normal Kontaktformular funktioniert.
    Der erste Schritt für die Zimmeranfrage ist in einer normalen Seite (nicht im Menü) normal per Shortcut eingebunden.

    In einem Themefile steht dann:
    PHP:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    Aber genau das hat ja vorher funktioniert.
     
  6. doni32

    doni32 Well-Known Member

    Registriert seit:
    6. Juni 2017
    Beiträge:
    46
    Zustimmungen:
    0
  7. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    5.142
    Zustimmungen:
    398
    Wenn es mit 4.9.x funktioniert, könnte man die aktuelle 4.9.10 einspielen und den Website zukünftig im 4.x Zweig belassen.

    Alternativ das Problem genauer lokalisieren und beheben. Wenn die Zusammenhänge im Code unklar sind, wende Dich am besten an die Person, die den Website ursprünglich eingerichtet hat. Das kann man von aussen nicht weiter nachvollziehen.
     
  8. doni32

    doni32 Well-Known Member

    Registriert seit:
    6. Juni 2017
    Beiträge:
    46
    Zustimmungen:
    0
    Oh man, danke nochmal für deine wertvolle Zeit. Ich muss leider auch in Zukunft das System aktuell halten.
    Habe jetzt erst mal alternativ einen Button zum letzten Step eingebaut und hoffe dass die Entwickler von dem Formularmodul ein Lösung finden. Ach ja, die Website habe ich übrigens selbst eingerichtet.
     
  9. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    5.142
    Zustimmungen:
    398
    Ok, und am Rande bemerkt, auch der WordPress 4.9.x Zweig ist aktuell, zumindest was wichtige Sicherheitsprobleme angeht, ebenso die älteren 4.8.x, 4.7.x, auch 3.9.x usw., schau Dir mal das jeweilige Veröffentlichungsdatum an. Wir sehen derzeit oft Installationen mit 5.x, mit älteren Themes die stabil sind aber für die es keine Updates mehr gibt, bei denen dann via "Classic Editor" oder "Disable Gutenberg" alles krampfhaft zurück auf 4.x getrimmt wird, weil es sonst Wechselwirkungen mit all den "tollen" neuen Dingen für Gutenberg gibt. In solchen Ausnahmefällen kann man besser in 4.9.x bleiben und z.B. sowas hier verwenden.
     
  10. doni32

    doni32 Well-Known Member

    Registriert seit:
    6. Juni 2017
    Beiträge:
    46
    Zustimmungen:
    0
    Alles klar, hört sich gut an!
    Ich habe das Zwangsupdate eh unterbunden.
    Aber wie kann ich die Updates z.B. auf 4.9.x begrenzen?
     
  11. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    5.142
    Zustimmungen:
    398
    Indem Du, wenn sich der Website noch nicht im 5.x Zweig befindet (oder nachdem man ihn wieder auf 4.x zurückgesetzt und man das WP Downgrade Plugin dann wieder desinstalliert hat - bei sowas sollte man aber genau wissen was man tut!), diesen Link anklickst und die Erklärung liest.
     
  12. doni32

    doni32 Well-Known Member

    Registriert seit:
    6. Juni 2017
    Beiträge:
    46
    Zustimmungen:
    0
    Wow - cool, schon wieder was gelernt, thanks!
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden